<?php

namespace LaraBB\Settings\Actions\Prefix;

use LaraBB\Forum\Tasks\Forum\FindTask as FindForumTask;

/**
 * Class CreateAction
 * @package LaraBB\Settings\Actions\Prefix
 */
class CreateAction
{
    /**
     * CreateAction constructor.
     * @param FindForumTask $findForumTask
     */
    public function __construct(private readonly FindForumTask $findForumTask)
    {
    }

    /**
     * @return array
     */
    public function run(): array
    {
        return [
            'active' => 'settings',
            'forums' => $this->findForumTask->run()
        ];
    }
}
